We planned to upgrade GitLab and Mattermost to the latest version this Friday morning (early). You may experience some downtime!

Commit 35442441 authored by Luuk Scholten's avatar Luuk Scholten

Perform tests in ci

parent 33b17fb8
......@@ -13,9 +13,14 @@ before_script:
- yarn install
stages:
- lint
- validate
eslint:
stage: lint
stage: validate
script:
- yarn ci-lint
jest:
stage: validate
script:
- yarn jest
import 'react-native';
import React from 'react';
// Note: test renderer must be required after react-native.
import renderer from 'react-test-renderer';
import Index from '../app/app';
......@@ -10,8 +10,11 @@
"jest": {
"preset": "react-native",
"collectCoverage": true,
"collectCoverageFrom": [
"app/**/*.js"
],
"coverageReporters": [
"text-summary"
"text", "text-summary"
],
"modulePaths": [
".yarn/"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment